\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../../yomcat, ../../diagrams}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 436 \hfill
Assignment 5 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\qs
\begin{enumerate}[(1).]
	\item $A$ is a ring and \mf{a} is an ideal of $A$. Then there exists a mapping $f: A \to A/\mf{a}$. Show that this mapping, from the set of ideals of $A$ containing \mf{a} to the ideals of $A/\mf{a}$ is a one-to-one correspondence.
	\item \mf{p} is an ideal of $A$. Show that \mf{p} is a prime ideal iff $\mf{a} \cdot \mf{b} \subset \mf{p} \implies \mf{a} \subset \mf{p}$ or $\mf{b} \subset \mf{p}$ for all ideals \mf{a}, \mf{b} of $A$.
	\item Show that \mf{m} is a maximal ideal of $A$ iff $A/\mf{m}$ is a field.
	\item $A$ is a ring. Show that if every ascending chain of ideals $\mf{a}_1 \subset \mf{a}_2 \subset \cdots$ is stationary, then every non-empty set $S$ of ideals of $A$ has a maximal element.
	\item $A$ is a ring. Show that if every non-empty set $S$ of ideals of $A$ has a maximal element then $A$ is Noetherian. 
\end{enumerate}

\as
\begin{enumerate}[(1).]
	\item $f$ is the following homomorphism: $a \mapsto a + \mf{a}$. This is obviously surjective. Let $a, b \in A$. Assume that $f(a) = f(b)$, in other words, that $a + \mf{a} = b + \mf{a}$. Then $a - b \in \mf{a}$. As \mf{a} is an ideal, it is closed under addition, so $a, b \in \mf{a}$. Therefore, $a + \mf{a} = b + \mf{a} = \mf{a}$. As the one-to-one correspondence is from the set of ideals of $A$ containing \mf{a} to the ideals of $A/\mf{a}$, and $a + \mf{a} = b + \mf{a} = \mf{a}$, this means that $a = b = 0$ in the restricted set of ideals of $A$ containing \mf{a}, and the mapping is injective and therefore a one-to-one correspondence. \pend
		\item \begin{enumerate}
		\item[\ltr] Assume that \mf{ab} $\subset$ \mf{p} but $\mf{a} \not\subset \mf{p}$ and $\mf{b} \not\subset \mf{p}$. Then $\exists a \in \mf{a} - \mf{p}$, $b \in \mf{b} - \mf{p}$ such that $ab \in \mf{p}$ but $a \notin \mf{p}$ and $b \notin \mf{p}$. Therefore \mf{p} is not a prime ideal, and the result follows via contrapositive.
		\item[\rtl] Assume that \mf{ab} $\subset$ \mf{p} and (WOLOG) that $\mf{a} \subset \mf{p}$. Then, $\forall a \in \mf{a}$, $a \in \mf{p}$. Therefore, if $ab \in \mf{ab}$ and $ab \in \mf{p}$, then $a \in \mf{p}$ and therefore \mf{p} is a prime ideal. \pend
	\end{enumerate}
	\item \begin{enumerate}
		\item[\ltr] $A$/\mf{m} is obviously a commutative ring with unity. If 1 is the multiplicative identity of $A$, then $1 + \mf{m}$ is the multiplicative identity of $A/\mf{m}$. As \mf{m} is a maximal ideal, it is not equal to $A$. Therefore $A/\mf{m}$ has at least two elements. \\
		Let $q + \mf{m}$ be a non-zero element of $A/\mf{m}$. Then $q \notin \mf{m}$. Now consider the set $H = \{aq + m\ |\ a \in A, m \in \mf{m}\}$. $H$ is an ideal of $A$ (not proven because it's tedious). 0 $\in$ \mf{m} as \mf{m} is a subring of $A$, so 0 $\in H$. \\
		As every element of the form $0q +m \in H$, $\mf{m} \subseteq H$. As \mf{m} is a maximal ideal, $H = A$. Therefore $1 \in H$ and $\exists a \in A, m \in \mf{m}$ such that $aq + m = 1$. Therefore, $aq - 1 \in \mf{m}$. Therefore $aq + \mf{m} = 1 + \mf{m}$. Hence \begin{displaymath} (a + \mf{m})(q + \mf{m}) = 1 + \mf{m} \end{displaymath} and hence $q + \mf{m}$ has a multiplicative inverse in $A/\mf{m}$ and therefore $A/\mf{m}$ is a field.
		\item[\rtl] Let \mf{t} be an ideal of $A$ such that $\mf{m} \subseteq \mf{t} \subseteq A$. Consider the set $X = \{t + \mf{m}\ |\ t \in \mf{t}\}$. $X$ is an ideal of $A/\mf{m}$ (again, not proven as it's tedious). As $A/\mf{m}$ is a field, then either $X = \{\mf{m}\}$ or $X = A/\mf{m}$. \\
		If $X = \{\mf{m}\}$, then $t + \mf{m} = \mf{m}\ \forall t \in \mf{t}$. Then $\mf{t} \subseteq \mf{m}$. However, by assumption, $\mf{m} \subseteq \mf{t}$. Hence, $\mf{t} = \mf{m}$. \\
		If $X = A/\mf{m}$, then $\forall a \in A$, $a + \mf{m} \in X$. Therefore, $\exists t \in \mf{t}$ such that $t + \mf{m} = a + \mf{m}$. Thus $a - t \in \mf{m}$, so $\exists m \in \mf{m}$ such that $a - t = m$. As $\mf{m} \subseteq \mf{t}$, $m \in \mf{t}$. Therefore, $m + t = a \in \mf{t}$ and therefore $A \subseteq \mf{t}$. However, by assumption, $\mf{t} \subseteq A$. Hence, $\mf{t} = A$. \\
		Therefore, if \mf{t} is an ideal of $A$ such that $\mf{m} \subseteq \mf{t} \subseteq A$, then \mf{t} is equal to either \mf{m} or $A$. Hence \mf{m} is a maximal ideal of $A$. \pend
	\end{enumerate}
	\item Let $\mf{a}_1 \in S$. If this is maximal, we are done. If not, then there is an ideal $\mf{a}_2 \in S$ such that $\mf{a}_1 \subsetneq \mf{a}_2$. If $\mf{a}_2$ is maximal, we are done. If not, then there is an ideal $\mf{a}_3 \in S$ such that $\mf{a}_2 \subsetneq \mf{a}_3$. Repeat this process. \\
	As every ascending chain of ideals in $A$ is stationary, eventually (after a finite number of steps), we will arrive at some $\mf{a}_n$ such that $\mf{a}_n$ is maximal. \pend
	\item Let \mf{a} be an ideal of $A$, and let $S$ be the set of all finitely generated ideals in $A$ that are contained in \mf{a}. (ie, $S = \{ \mf{b} | \mf{b} \subset \mf{a}\ \textrm{and \mf{b} is finitely generated}\}$.) Then $S$ has a maximal element, \mf{e} = \ideal{x_1, x_2, \dots, x_n}. If $\mf{a} \neq \mf{e}$, then $\exists x \in \mf{a}/\mf{e}$. and then $\mf{e} \subsetneq \ideal{x_1, \dots, x_n, x} \subset \mf{a}$, which is a contradiction. \\
	Therefore, \mf{a} is finitely generated and $A$ is Noetherian. \pend
\end{enumerate}
\end{document}